/*
 * Copyright © 2022 Soren Stoutner <soren@stoutner.com>.
 *
 * This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
 *
 * Privacy Browser PC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Privacy Browser PC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BROWSERWINDOW_H
#define BROWSERWINDOW_H

// Application headers.
#include "MainView.h"

// Qt framework headers.
#include <QLabel>

// KDE Frameworks headers.
#include <KXmlGuiWindow>

class BrowserWindow : public KXmlGuiWindow
{
    // Include the Q_OBJECT macro.
    Q_OBJECT

public:
    // The default constructor.
    BrowserWindow();

private Q_SLOTS:
    // Define the private slots.
    void fileNew() const;
    void settingsConfigure();
    void updateStatusBar(const QString &statusBarMessage) const;
    void updateUserAgentLabel(const QString &userAgentName) const;

private:
    // Define the private variables.
    MainView *mainViewPointer;
    QLabel *userAgentLabelPointer;
};
#endif
